Package org.apache.ignite.internal.processors.dr

## Class IgniteDrDataStreamerCacheUpdater

- java.lang.Object
- - org.apache.ignite.internal.processors.dr.IgniteDrDataStreamerCacheUpdater

All Implemented Interfaces:
  `Serializable`, `DataStreamerCacheUpdaters.InternalUpdater`, `StreamReceiver<KeyCacheObject,​CacheObject>`

    public class IgniteDrDataStreamerCacheUpdater
    extends Object
    implements StreamReceiver<KeyCacheObject,​CacheObject>, DataStreamerCacheUpdaters.InternalUpdater

Data center replication cache receiver for data streamer.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IgniteDrDataStreamerCacheUpdater()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `receive​(IgniteCache<KeyCacheObject,​CacheObject> cache0, Collection<Map.Entry<KeyCacheObject,​CacheObject>> col)` Updates cache with batch of entries.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteDrDataStreamerCacheUpdater

    public IgniteDrDataStreamerCacheUpdater()

### Method Detail

#### receive

    public void receive​(IgniteCache<KeyCacheObject,​CacheObject> cache0,
                        Collection<Map.Entry<KeyCacheObject,​CacheObject>> col)

Updates cache with batch of entries.

Specified by:
  `receive` in interface `StreamReceiver<KeyCacheObject,​CacheObject>`
Parameters:
  `cache0` - Cache.
  `col` - Collection of entries.